Create a sales orderCopy Pagepost https://api.katanamrp.com/v1/sales_ordersCreates a new sales order object.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Body Paramsnew sales order detailsorder_nostringcustomer_idintegerrequired≤ 2147483647sales_order_rowsarray of objectsrequiredlength ≥ 1sales_order_rows* objectquantitynumberrequired≤ 100000000000000000variant_idintegerrequired≤ 2147483647tax_rate_idinteger≤ 2147483647location_idinteger≤ 2147483647attributesarray of objectsattributesADD objectprice_per_unitnumber≤ 1000000000000000000total_discountnumber≤ 1000000000000000000ADD objecttracking_numberstring | nulltracking_number_urlstring | nulladdressesarray of objectsaddressesADD objectorder_created_datestringdelivery_datestringcurrencystringE.g. USD, EUR. All currently active currency codes in ISO 4217 format.location_idinteger≤ 2147483647statusstringenumWhen the status is omitted, NOT_SHIPPED is used as default. Use PENDING when you want to create sales order quotes.NOT_SHIPPEDPENDINGAllowed:NOT_SHIPPEDPENDINGadditional_infostringcustomer_refstring | nullecommerce_order_typestringecommerce_store_namestringecommerce_order_idstringcustom_fieldsobject | nullBehind feature flag — contact [email protected] to enable. Custom field values keyed by custom field definition ID (UUID). Each value matches the definition’s field_type — string for shortText/url, number for number, boolean for boolean, YYYY-MM-DD string for date, or the integer choice id for singleSelect.custom_fields object | nullResponses 200New sales order created 401Make sure you've entered your API token correctly. 422Check the details property for a specific error message. 429The rate limit has been reached. Please try again later. 500The server encountered an error. If this persists, please contact supportUpdated 20 days ago